> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bodhveda.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List contacts

> List all of a recipient's per-medium contact addresses.

List a recipient's per-medium contact addresses. A recipient needs a **primary email** contact to receive email.


## OpenAPI

````yaml GET /recipients/{recipient_id}/contacts
openapi: 3.0.3
info:
  title: Bodhveda Notifications API
  version: '1.0'
  description: API for sending notifications to recipients or broadcasting to all.
servers: []
security: []
paths:
  /recipients/{recipient_id}/contacts:
    get:
      tags:
        - Contacts
      summary: List a recipient's contacts
      description: List all of a recipient's per-medium contact addresses.
      operationId: listRecipientContacts
      parameters:
        - name: recipient_id
          in: path
          required: true
          schema:
            type: string
          description: The unique identifier of the recipient.
      responses:
        '200':
          description: List of the recipient's contacts.
          content:
            application/json:
              examples:
                Contacts:
                  summary: Contacts Response
                  value:
                    data:
                      contacts:
                        - id: 1
                          medium: email
                          address: alice@example.com
                          is_primary: true
                          verified_at: null
                          created_at: '2025-11-07T05:31:56Z'
                          updated_at: '2025-11-07T05:31:56Z'
      security:
        - BearerAuthWithAPIKeyWithEitherScope: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl https://api.bodhveda.com/recipients/recipient_123/contacts \
              -H "Authorization: Bearer bv_xxxxxxxxx" 
        - lang: javascript
          label: JavaScript
          source: >-
            import { Bodhveda } from "@bodhveda/js";


            const bodhveda = new Bodhveda("bv_xxxxxxxxx");


            const { contacts } = await
            bodhveda.recipients.contacts.list("recipient_123");
        - lang: go
          label: Go
          source: |-
            import (
                "context"

                bodhveda "github.com/MudgalLabs/bodhveda/sdk/go"
            )

            ctx := context.Background()
            client := bodhveda.NewClient("bv_xxxxxxxxx", nil)

            res, _ := client.Recipients.Contacts.List(ctx, "recipient_123")
            // res.Contacts
components:
  securitySchemes:
    BearerAuthWithAPIKeyWithEitherScope:
      type: http
      scheme: bearer
      bearerFormat: APIKey
      description: >-
        Bearer authentication header of the form `Bearer bv_xxxxxxxxx`, where
        `bv_xxxxxxxxx` is your **API Key** with `Full access` or `Recipient
        acess` scope.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.